%global __requires_exclude	python-gi

%global busname			org.gnome.gedit

%global libgd_commit		3cccf99234288a6121b3945a25cd4ec3b7445c74

Summary:	Small but powerful text editor for GNOME
Name:		gedit
Version:	48.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gedit
Source0:	https://gitlab.gnome.org/World/gedit/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
# libgd is a git submodule by design, but those are not included in git forge snapshot tarballs
Source1:	https://gitlab.gnome.org/GNOME/libgd/-/archive/%{libgd_commit}/libgd-%{libgd_commit}.tar.bz2
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(gtk-doc) >= 1.0
BuildRequires:	pkgconfig(libgedit-amtk-5)
BuildRequires:	pkgconfig(libgedit-gfls-1)
BuildRequires:	pkgconfig(libgedit-gtksourceview-300)
BuildRequires:	pkgconfig(libgedit-tepl-6)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	gettext-devel
BuildRequires:	appstream
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools

BuildRequires:	desktop-file-utils

Requires:	typelib(Peas) = 1.0
Requires:	typelib(PeasGtk) = 1.0

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group:		Development/C
Summary:	Headers for writing gEdit plugins
Requires:	%{name} = %{version}-%{release}

%description devel
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use gEdit's API.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}
tar --strip-components=1 -xf %{S:1} -C subprojects/libgd

%build
%meson -D gtk_doc=true \
       -D user_documentation=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md NEWS
%{_bindir}/*
%{_datadir}/gedit/
%{_datadir}/applications/%{busname}.desktop
%{_libdir}/gedit/
%{_datadir}/glib-2.0/schemas/%{busname}.*
%{_datadir}/dbus-1/services/%{busname}.service
%{_metainfodir}/%{busname}.metainfo.xml
%{_iconsdir}/hicolor/*/*/%{busname}.png
%{_iconsdir}/hicolor/symbolic/apps/%{busname}-symbolic.svg
%{_mandir}/man1/gedit.1*

%files devel
%doc %{_datadir}/gtk-doc/html/gedit/
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sat May 03 2025 daviddavid <daviddavid> 48.2-1.mga10
+ Revision: 2180566
- new version 48.2

* Wed Apr 09 2025 wally <wally> 48.1-5.mga10
+ Revision: 2174405
- drop libpeas1.0-loader-python3 requires

* Fri Mar 28 2025 wally <wally> 48.1-4.mga10
+ Revision: 2170552
- require libpeas1.0-loader-python3

* Tue Mar 25 2025 wally <wally> 48.1-3.mga10
+ Revision: 2169884
- port to girepository-2.0
- pull Peas and PeasGtk typelibs to suppress warnings

* Wed Feb 26 2025 wally <wally> 48.1-2.mga10
+ Revision: 2153009
- rebuild for python3.13

* Sun Dec 29 2024 daviddavid <daviddavid> 48.1-1.mga10
+ Revision: 2131268
- new version 48.1

* Wed Sep 18 2024 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2098327
- new version 48.0

* Mon Jun 10 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2072500
- new version 47.0
+ tv <tv>
- Bump needed versions

* Tue Mar 19 2024 daviddavid <daviddavid> 46.2-1.mga10
+ Revision: 2050783
- new version 46.2

* Tue Dec 19 2023 papoteur <papoteur> 46.1-2.mga10
+ Revision: 2019139
- Mass Rebuild - Python 3.12

* Thu Dec 07 2023 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2014225
- new version 46.1

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992490
- Update to 45.0

* Mon Sep 11 2023 wally <wally> 44.2-2.mga10
+ Revision: 1986311
- switch to libgedit-amtk

* Fri Feb 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1937800
- new version 44.2 build with new tepl 6.4.0

* Tue Dec 13 2022 tv <tv> 43.2-2.mga9
+ Revision: 1921679
- Rebuild for new amtk

* Tue Nov 22 2022 ghibo <ghibo> 43.2-1.mga9
+ Revision: 1910207
- Update to release 43.2

* Fri Nov 04 2022 ghibo <ghibo> 43.1-1.mga9
+ Revision: 1902521
- Update to release 43.1

* Tue Sep 20 2022 tv <tv> 43~alpha-1.mga9
+ Revision: 1890891
- Update to 43.alpha

* Thu Jul 28 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1872704
- new version 42.2

* Fri May 27 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1860436
- new version 42.1

* Sun Apr 03 2022 tv <tv> 42.0-1.mga9
+ Revision: 1842262
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 41-1.mga9
+ Revision: 1794456
- Update to 41.0

* Sun Feb 13 2022 tmb <tmb> 41~alpha-2.mga9
+ Revision: 1773918
- rebuild for python 3.10

* Mon Jan 10 2022 tv <tv> 41~alpha-1.mga9
+ Revision: 1767603
- 41~alpha

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721611
- new version 40.1

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1710076
- new version 40.0

* Tue Mar 16 2021 tmb <tmb> 3.38.1-2.mga9
+ Revision: 1703816
- rebuild for python 3.9

* Fri Nov 20 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1647954
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624551
- new version 3.38.0

* Fri Sep 04 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1621712
- new version 3.37.92

* Sun Jul 26 2020 daviddavid <daviddavid> 3.37.3-2.mga8
+ Revision: 1609075
- adjust files list (s/%%{python3_sitearch}/%%{python3_sitelib}/)

* Fri Jul 03 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1601506
- new version 3.37.3

* Thu Jun 11 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1592459
- new version 3.37.2

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1572107
- new version 3.36.2

* Fri Mar 20 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1558233
- new version 3.36.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554431
- new version 3.36.0

* Wed Feb 19 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1544899
- fix build (BR, meson options)
+ ovitters <ovitters>
- new version 3.35.90

* Tue Feb 18 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1538429
- Mageia 8 Mass Rebuild

* Thu Nov 21 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1461993
- new version 3.34.1

* Wed Sep 11 2019 tv <tv> 3.34.0-2.mga8
+ Revision: 1439560
- rebuild for python-3.8

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438859
- new version 3.34.0

* Tue Sep 03 2019 tv <tv> 3.33.92-1.mga8
+ Revision: 1436609
- fix filelist
+ ovitters <ovitters>
- new version 3.33.92

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427954
- new release

* Thu May 16 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1397929
- new version 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392213
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373890
- new version 3.32.0

* Sun Mar 10 2019 daviddavid <daviddavid> 3.31.92-2.mga7
+ Revision: 1373452
- devel pkg require main pkg

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.92-1.mga7
+ Revision: 1373285
- new version 3.31.92
- switch to meson build system

* Mon Jan 07 2019 tmb <tmb> 3.30.2-2.mga7
+ Revision: 1351171
- rebuild for python 3.7

* Mon Dec 31 2018 daviddavid <daviddavid> 3.30.2-1.mga7
+ Revision: 1347393
- new version: 3.30.2

* Tue Sep 25 2018 daviddavid <daviddavid> 3.30.1-1.mga7
+ Revision: 1304395
- new version 3.30.1

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257018
- new version: 3.30.0

* Mon Aug 13 2018 tv <tv> 3.29.90-1.mga7
+ Revision: 1251252
- ignore bytecompilation errors:
    File "/usr/lib64/gedit/plugins/snippets/shareddata.py", line 26
    class SharedData(object, metaclass=Singleton):
                                      ^
  SyntaxError: invalid syntax
- fix python enabling options
+ ovitters <ovitters>
- new version 3.29.90

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216366
- new version 3.28.1

* Wed Mar 14 2018 tv <tv> 3.28.0-2.mga7
+ Revision: 1209215
- rebuild with latest gspell

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208547
- new version 3.28.0

* Sun Mar 04 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206518
- new version 3.27.92

* Wed Feb 14 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1201267
- new version 3.27.90

* Fri Aug 04 2017 tv <tv> 3.22.1-2.mga7
+ Revision: 1134668
- fix build with new find_lang
- rebuild for new python

* Sun Jul 30 2017 ovitters <ovitters> 3.22.1-1.mga7
+ Revision: 1132857
- new version 3.22.1
- dropped merged patch gedit-3.22.0-fix-dektop-file.patch

* Tue Oct 11 2016 pterjan <pterjan> 3.22.0-4.mga6
+ Revision: 1060191
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Thu Oct 06 2016 ovitters <ovitters> 3.22.0-3.mga6
+ Revision: 1059251
- new version 3.22.0

* Sun May 08 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1010523
- new version 3.20.2

* Thu Mar 31 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 997221
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993202
- new version 3.20.0

* Sun Mar 13 2016 ovitters <ovitters> 3.19.5-1.mga6
+ Revision: 990225
- new version 3.19.5

* Mon Feb 15 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 961576
- new version 3.19.4

* Tue Jan 19 2016 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 925952
- new version 3.19.3

* Mon Dec 21 2015 tv <tv> 3.19.2-1.mga6
+ Revision: 912862
- fix file list
- fix file list
+ ovitters <ovitters>
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905147
- new version 3.19.1

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902752
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890151
- new version 3.18.1

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887022
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882709
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879372
- new version 3.17.92

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865650
- new version 3.17.90

* Mon Jul 20 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 855671
- new version 3.17.2
- new version 3.17.1

* Mon Jun 22 2015 ovitters <ovitters> 3.17.0-1.mga6
+ Revision: 838893
- new version 3.17.0

* Wed Feb 04 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 813447
- new version 3.14.3

* Thu Dec 04 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 801548
- new version 3.14.2

* Tue Nov 11 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 796325
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749724
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719192
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 679477
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Aug 19 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 665700
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665260
- new version 3.13.90

* Tue Aug 12 2014 ovitters <ovitters> 3.13.5-1.mga5
+ Revision: 662011
- new version 3.13.5

* Tue Jul 29 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 657855
- new version 3.13.4

* Wed Jul 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 656052
- new version 3.13.3

* Tue Jun 24 2014 ovitters <ovitters> 3.13.2-2.mga5
+ Revision: 639468
- update url

* Tue Jun 24 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 639414
- zeitgeist moved to gedit-plugins
- enable vala
- new version 3.13.2
- new version 3.13.1

* Sat May 31 2014 pterjan <pterjan> 3.12.2-3.mga5
+ Revision: 629673
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.12.2-2.mga5
+ Revision: 629531
- Rebuild for new Python

* Wed May 28 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 627250
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614142
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607785
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604534
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599895
- new version 3.11.91

* Wed Feb 19 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594713
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.3-1.mga5
+ Revision: 584451
- new version 3.11.3

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583323
- new version 3.11.2

* Tue Feb 04 2014 ovitters <ovitters> 3.10.4-1.mga5
+ Revision: 582484
- new version 3.10.4

* Wed Nov 20 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551980
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542320
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497401
- new version 3.10.1

* Tue Oct 08 2013 philippem <philippem> 3.10.0-2.mga4
+ Revision: 493052
- fix python3 build

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484482
- new version 3.10.0

* Wed Sep 18 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481064
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474670
- new version 3.9.91

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467938
- new version 3.9.90

* Tue Jul 30 2013 fwang <fwang> 3.9.4-1.mga4
+ Revision: 461086
- update file list
+ ovitters <ovitters>
- update buildrequires version numbers
- new version 3.9.4

* Fri Jul 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 458193
- new version 3.9.3

* Wed Jun 26 2013 dams <dams> 3.8.3-1.mga4
+ Revision: 446698
- clean %%files
+ ovitters <ovitters>
- new version 3.8.3

* Mon May 27 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 428548
- adapt filelist for python3
+ ovitters <ovitters>
- fix br
+ dams <dams>
- new version 3.8.2

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 351214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 pterjan <pterjan> 3.6.2-2.mga3
+ Revision: 337892
- Fix for _libdir != _libexecdir

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317442
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306841
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297271
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.3-1.mga3
+ Revision: 296231
- fix desktop file
+ ovitters <ovitters>
- new version 3.5.3

* Thu Aug 30 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 285868
- new version 3.5.2

* Sat Jul 21 2012 ovitters <ovitters> 3.5.1-1.mga3
+ Revision: 273093
- new version 3.5.1

* Fri Jun 08 2012 fwang <fwang> 3.4.2-1.mga3
+ Revision: 257493
- update file list
+ ovitters <ovitters>
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231099
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226843
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.8-1.mga2
+ Revision: 225072
- new version 3.3.8

* Wed Mar 07 2012 fwang <fwang> 3.3.7-1.mga2
+ Revision: 220706
- new version 3.3.7

* Tue Mar 06 2012 fwang <fwang> 3.3.6-1.mga2
+ Revision: 220301
- drop merge patch
- new version 3.3.6

* Fri Mar 02 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 216938
- update file list
- update experimental patch
- update buildrequires
- add experimental patch to fix linking problem
- be verbose while compiling
- update buildrequires
- new version 3.3.5
- update buildrequires
- new version
+ fwang <fwang>
- new version 3.3.3

* Sun Jan 08 2012 wally <wally> 3.3.2-3.mga2
+ Revision: 193360
- yet another rebuild due to missing signature

* Sun Jan 08 2012 wally <wally> 3.3.2-2.mga2
+ Revision: 193329
- rebuild due to missing signature

* Sun Jan 08 2012 wally <wally> 3.3.2-1.mga2
+ Revision: 193311
- new version 3.3.2
- clean .spec a bit

* Sat Dec 17 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 183062
- new version 3.3.1

* Fri Dec 16 2011 dmorgan <dmorgan> 3.2.5-3.mga2
+ Revision: 182536
- Enable zeitgeist plugin

* Fri Dec 16 2011 fwang <fwang> 3.2.5-2.mga2
+ Revision: 182531
- aspell and pyorbit is of no use now

* Fri Dec 09 2011 wally <wally> 3.2.5-1.mga2
+ Revision: 179611
- new version 3.2.5

* Thu Dec 08 2011 wally <wally> 3.2.4-1.mga2
+ Revision: 178989
- new version 3.2.4

* Wed Nov 16 2011 wally <wally> 3.2.3-2.mga2
+ Revision: 168104
- new version 3.2.3

* Sun Nov 13 2011 wally <wally> 3.2.2-2.mga2
+ Revision: 167188
- fix devel pkg deps

* Tue Nov 01 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 161082
- new version 3.2.2

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155572
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148945
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.6-1.mga2
+ Revision: 145725
- new version 3.1.6

* Tue Sep 06 2011 wally <wally> 3.1.5-1.mga2
+ Revision: 139561
- new version 3.1.5
- add major version check to file list
+ fwang <fwang>
- update file list
- enable python support
- update file list
- update file list
- disable undefined for libprivate.so
- new version 3.1.4
- add upstream patch to fix desktop file
- new version 3.1.3
+ cjw <cjw>
- rebuild for automatic typelib dependencies

* Wed Jul 06 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 119541
- new version 3.1.2
- fix file list
- clean .spec a bit

* Fri Jun 24 2011 mikala <mikala> 3.0.5-1.mga2
+ Revision: 113199
- Fix files list
+ pterjan <pterjan>
- Update to 3.0.5

* Thu Feb 17 2011 blino <blino> 2.30.4-3.mga1
+ Revision: 53352
- buildrequire libsm-devel
- remove old ldscriptlets, conflicts and mkrel stuff
- imported package gedit


* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 2.30.4-2mdv2011.0
+ Revision: 592109
- rebuild for py2.7

  + Götz Waschk <waschk@mandriva.org>
    - fix release for backports

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.30.4-1mdv2011.0
+ Revision: 581741
- update to new version 2.30.4

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 550909
- update to new version 2.30.3

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.2-2mdv2010.1
+ Revision: 539613
- rebuild so that shared libraries are properly stripped again

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2010.1
+ Revision: 536513
- update to new version 2.30.2

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 536431
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528916
- update to new version 2.30.0

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.9-1mdv2010.1
+ Revision: 519126
- update to new version 2.29.9

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.8-1mdv2010.1
+ Revision: 513173
- update to new version 2.29.8

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.7-1mdv2010.1
+ Revision: 509991
- new version
- bump python-gtksourceview dep

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 503760
- new version
- drop patch

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 496491
- new version
- rediff patch

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix spaces in spec

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 490154
- new version
- bump gtksourceview dep

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 475606
- update to new version 2.29.3

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475433
- update to new version 2.29.2

* Wed Nov 11 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 464945
- update to new version 2.28.2

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 463923
- update to new version 2.28.1
- revert accidental update
- update to new version 2.29.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446707
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.6-1mdv2010.0
+ Revision: 437469
- update to new version 2.27.6

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 420626
- update to new version 2.27.5

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 414448
- update to new version 2.27.4

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 401404
- update to new version 2.27.3

* Sun Jun 21 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 387915
- update to new version 2.27.2

* Tue May 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 379943
- new version
- update file list

* Sun May 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 376660
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366965
- update to new version 2.26.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355387
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.8-1mdv2009.1
+ Revision: 347355
- update to new version 2.25.8

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.7-1mdv2009.1
+ Revision: 341260
- update to new version 2.25.7

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.6-1mdv2009.1
+ Revision: 336733
- update to new version 2.25.6

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331395
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325361
- update to new version 2.25.4

* Tue Dec 30 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 321308
- new version
- drop patch 1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 2.25.2-3mdv2009.1
+ Revision: 320326
- add upstream patch to fix string format security

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.25.2-2mdv2009.1
+ Revision: 319922
- disable format checking for now
- fix str fmt
- rebuild for new python

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309056
- update to new version 2.25.2

* Sun Nov 30 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 308604
- new version
- update file list

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306199
- update to new version 2.24.2

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 299356
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286468
- new version

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 2.23.93-1mdv2009.0
+ Revision: 285350
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282764
- new version
- drop patch 1

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-3mdv2009.0
+ Revision: 280289
- fix the patch

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-2mdv2009.0
+ Revision: 279979
- patch to fix crash (bug #43461)

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278373
- new version
- drop patch 1

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-4mdv2009.0
+ Revision: 274352
- remove glade dep as well

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-3mdv2009.0
+ Revision: 274303
- remove bad dep on libgnomeui

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-2mdv2009.0
+ Revision: 274282
- update build deps to fix automatic pkgconfig deps

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274131
- new version

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 271736
- new version
- update deps

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 231028
- fix buildrequires
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 211721
- new version

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211688
- new version
- fix buildrequires

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192493
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183597
- new version
- bump deps

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 174609
- new version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 170859
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 157855
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.4-1mdv2008.1
+ Revision: 113465
- new version

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2008.1
+ Revision: 99989
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 98669
- new version

* Thu Sep 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 93227
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89460
- new version
- bump deps

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-2mdv2008.0
+ Revision: 84438
- add standard icons for non XDG WM
- Remove old menus
- Remove patches 1 (replaced by patch0),  4 (no longer needed)
- Patch0 (Antoine Pitrou): fix file encoding detection for better compatibility with local encoded files (Mdv bug #20277)

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 84308
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72653
- new version
- bump deps

* Thu Aug 16 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 64133
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 57570
- new version
- bump deps
- drop patch 0
- rediff patch 4

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 49776
- fix pkgconfig

* Wed Jul 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 48054
- new version
- adjust deps

* Mon Jun 25 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 44057
- new version
- depend on pygtksourceview

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14379
- new version


* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141288
- new version
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 126136
- new version
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 112240
- new version
- upate file list

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix url
    - Fix buildrequires

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 106937
- disable parallel build
- new version
- rediff patch 1

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 99162
- new version
- fix buildrequires

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-2mdv2007.1
+ Revision: 90785
- fix buildrequires
- fix buildrequires
- new version
- update file list

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 88875
- rebuild

* Sun Oct 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 73671
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63822
- rebuild
- unpack patches
- Import gedit

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- New release 2.16.0

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 2.15.9-1mdv2007.0
- New release 2.15.9

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2007.0
- New release 2.15.8

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- New release 2.15.7

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- fix buildrequires
- New release 2.15.6

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- enable gtk-doc
- New release 2.15.5

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- update file list
- New release 2.15.3

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2007.0
- Add dependency on pyorbit for plugin (mdv bug #22231)

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.0
- New release 2.14.3

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-2mdk
- fix buildrequires

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2
- Remove patch2 (no longer needed)
- Update patch4 with fedora latest version

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Remove patches 3 & 6 (merged upstream, reported by gedit author)
- Fix prereq

* Thu Nov 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Rebuild to get debug package

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.12.1-2mdk
- rebuild against openssl-0.9.8

* Fri Oct 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 2.10.5-1mdk
- update file list
- New release 2.10.5

* Sat Aug 06 2005 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdk
- New release 2.10.4

* Fri Jun 10 2005 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Thu Apr 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.2-2mdk
- package NEWS in doc since it's more usefull than full ChangeLog

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-1mdk 
- Release 2.10.2 (based on Götz Waschk package)
- Remove patch5 (no longer needed)
- Update patch4

* Sun Feb 13 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Mon Dec 06 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf file listing
- New release 2.8.1
- Regenerate patch1
- Patch3 (Fedora): allow escape key to close Find and Replace dialogs 
- Patch4 (Fedora): make file selector remember last window size and directory
- Patch5 (Fedora): use pango font names, not gnome-print font names
- Patch6 (Fedora): enable spellchecker plugin by default

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Use upstream icons (Mdk bug #10834)

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.2-3mdk
- Rebuild with menu

* Thu Aug 05 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-2mdk
- remove gedit-devel provides from main package

* Sun Jun 27 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop patch 3
- New release 2.6.2

* Tue Jun 22 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- remove generic docs
- reenable libtoolize
- split out devel package 
  http://archives.mandrakelinux.com/expert/2004-06/msg01002.php

* Wed May 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Patch3 (CVS): don't output warnings when icon theme isn't found (Mdk bug #9492)

* Tue May 04 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-3mdk
- Really fix buildrequires (thanks titi)

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz help)
- Remove patch0 (merged upstream)

